import request from '@/utils/request'

// 大区列表
export function list() {
    return request({
        url: '/system/area/list',
        method: 'get',
    })
}


// 获取大区下拉列表
export function areaSelect() {
    return request({
        url: '/system/area/select',
        method: 'get',
    })
}


// 更新和保存
export function save(data) {
    return request({
        url: '/system/area/save',
        method: 'post',
        data
    })
}

// 删除
export function del(ids) {
    return request({
        url: '/system/area/' + ids,
        method: 'delete'
    })
}

// 保存大区地区信息
export function saveProvince(data) {
    return request({
        url: '/system/area/saveProvince',
        method: 'post',
        data
    })
}

// 根据大区ID获取地区列表
export function getProvinceByArea(id) {
    return request({
        url: '/system/province/getProvinceByArea?areaId=' + id,
        method: 'get',
    })
}

// 根据parentCode获取地区列表
export function getProvinceByParent(id) {
    return request({
        url: '/system/province/getProvinceByParent?parent=' + id,
        method: 'get',
    })
}

// 获取省份地区列表
export function province() {
    return request({
        url: '/system/province/list',
        method: 'get',
    })
}
